View Issue Details

IDProjectCategoryView StatusLast Update
0005836DarkRadiantMap Editingpublic16.01.2022 06:49
Reporterorbweaver Assigned Toorbweaver  
PrioritynormalSeveritynormalReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.14.0 
Target Version3.0.0Fixed in Version3.0.0 
Summary0005836: Changing multiple lights between omni/projected resets colours to black
Description1. Select multiple lights.
2. In the Light Inspector (L), change all of the lights to Projected or back to Omnidirectional.

Expected: Lights change shape, but retain their existing colour, exactly as if each had been selected and changed individually.

Actual: All light colours get set to black.
TagsNo tags attached.

Activities

orbweaver

orbweaver

28.12.2021 19:38

developer   ~0014620

Hopefully fixed in 9d0fe8e2e729e8658215acaa9f69f5c4a0da6ac2 for all light properties (not just colour).

Related Changesets

DarkRadiant: master 2cbe0648

2021-12-15 20:47:30

orbweaver

Details Diff
0005836: avoid unwanted colour changes when adjusting multiple lights

This appears to be a long-standing bug with the LightInspector. The
multi-selection code is far too coercive, setting ALL properties from the
dialog on ALL selected lights, rather than just the property which has changed.

This commit fixes the unwanted colour changes when toggling multiple lights
between omni and projected, but the bug still exists in other areas.
Affected Issues
0005836
mod - radiant/ui/lightinspector/LightInspector.cpp Diff File
mod - radiant/ui/lightinspector/LightInspector.h Diff File

DarkRadiant: master 9305c559

2021-12-16 13:51:44

orbweaver

Details Diff
0005836: changing multiple light options no longer affects size

_onOptionToggle() now calls writeToAllEntities() with just the spawnargs which
need to be written, rather than setting all properties including dimension
vectors.
Affected Issues
0005836
mod - libs/wxutil/XmlResourceBasedWidget.h Diff File
mod - radiant/ui/lightinspector/LightInspector.cpp Diff File
mod - radiant/ui/lightinspector/LightInspector.h Diff File

DarkRadiant: master dce7cd42

2021-12-21 20:01:37

orbweaver

Details Diff
0005836: light option flags are set individually

Instead of setting all four option flags in one go (on all selected lights,
regardless of current per-light option values), each checkbox is connected to
its own lambda resulting in only the toggled option being applied to the
selected lights.

This means that you can now safely toggle "No shadows" with several lights
selected, without unexpectedly overwriting the lights' individual settings for
"Parallel", "No specular" etc.
Affected Issues
0005836
mod - radiant/ui/lightinspector/LightInspector.cpp Diff File
mod - radiant/ui/lightinspector/LightInspector.h Diff File

DarkRadiant: master 16d3ab13

2021-12-22 20:30:50

orbweaver

Details Diff
0005836: "ai_see" checkbox no longer overwrites light dimensions

Connect the ai_see handler to its own lambda, instead of calling
setValuesOnEntity() which also coerces all selected lights to the same shape.
Affected Issues
0005836
mod - radiant/ui/lightinspector/LightInspector.cpp Diff File

DarkRadiant: master 9d0fe8e2

2021-12-28 19:35:52

orbweaver

Details Diff
0005836: changing multiple light shapes no longer changes texture

Changing between Omni and Projected no longer replaces the "texture" spawnarg
for all selected lights.
Affected Issues
0005836
mod - radiant/ui/lightinspector/LightInspector.cpp Diff File

DarkRadiant: master 3473cfbd

2022-01-04 20:11:27

orbweaver

Details Diff
0005836: setValuesOnEntity() is now setLightVectorsOnEntity()

All other value-setting has been moved into separate methods.
Affected Issues
0005836
mod - radiant/ui/lightinspector/LightInspector.cpp Diff File
mod - radiant/ui/lightinspector/LightInspector.h Diff File

Issue History

Date Modified Username Field Change
12.12.2021 20:46 orbweaver New Issue
12.12.2021 20:46 orbweaver Status new => assigned
12.12.2021 20:46 orbweaver Assigned To => orbweaver
28.12.2021 19:38 orbweaver Status assigned => resolved
28.12.2021 19:38 orbweaver Resolution open => fixed
28.12.2021 19:38 orbweaver Fixed in Version => 3.0.0
28.12.2021 19:38 orbweaver Note Added: 0014620
16.01.2022 06:49 orbweaver Changeset attached => DarkRadiant master 2cbe0648
16.01.2022 06:49 orbweaver Changeset attached => DarkRadiant master 9305c559
16.01.2022 06:49 orbweaver Changeset attached => DarkRadiant master dce7cd42
16.01.2022 06:49 orbweaver Changeset attached => DarkRadiant master 16d3ab13
16.01.2022 06:49 orbweaver Changeset attached => DarkRadiant master 9d0fe8e2
16.01.2022 06:49 orbweaver Changeset attached => DarkRadiant master 3473cfbd